Bug 173040 - net-mgmt/argus3, port update
Summary: net-mgmt/argus3, port update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-24 22:30 UTC by pauls
Modified: 2013-01-05 08:00 UTC (History)
0 users

See Also:


Attachments
argus3.diff (3.50 KB, patch)
2012-10-24 22:30 UTC, pauls
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2012-10-24 22:30:00 UTC
	ports, net-mgmt/argus3, update port to current version 3.0.6.1
	subject to Maintainer's approval.  I've already submitted the
	companion port update - argus3-clients - PR ports/173036
Comment 1 Edwin Groothuis freebsd_committer 2012-10-24 22:30:07 UTC
Maintainer of net-mgmt/argus3,

Please note that PR ports/173040 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173040

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-10-24 22:30:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Demin Alexander 2012-10-26 12:48:11 UTC
Hello.

I approve this patch for update net-mgmt/argus3.

Thanks.

On 25 =D0=BE=D0=BA=D1=82=D1=8F=D0=B1=D1=80=D1=8F 2012 01:30:07 you wrote:
> Maintainer of net-mgmt/argus3,
>=20
> Please note that PR ports/173040 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/173040

=2D-=20
Demin Alexander / Network Administrator
Group of companies Spectrum / tel. (+7 495) 995-8999
Russia, Moscow, 125009, Strastnoy blvr. 8
Web: http://www.spectrum.ru/
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-10-26 23:02:50 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-01-05 07:50:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 6 dfilter service freebsd_committer 2013-01-05 07:52:27 UTC
Author: rm
Date: Sat Jan  5 07:52:19 2013
New Revision: 309949
URL: http://svnweb.freebsd.org/changeset/ports/309949

Log:
  - update to 3.0.6.1
  - convert to optionsng
  - remove unneded patches
  
  while here:
  - trim Makefile header
  - add license (GPLv3)
  - add missing perl dependency
  
  PR:		173040
  Submitted by:	Paul Schmehl <pauls@utdallas.edu>
  Approved by:	Alexander Demin <support@spectrum.ru> (maintainer)

Deleted:
  head/net-mgmt/argus3/files/patch-Makefile.in
  head/net-mgmt/argus3/files/patch-common_Makefile.in
Modified:
  head/net-mgmt/argus3/Makefile
  head/net-mgmt/argus3/distinfo
  head/net-mgmt/argus3/pkg-descr
  head/net-mgmt/argus3/pkg-plist

Modified: head/net-mgmt/argus3/Makefile
==============================================================================
--- head/net-mgmt/argus3/Makefile	Sat Jan  5 06:00:37 2013	(r309948)
+++ head/net-mgmt/argus3/Makefile	Sat Jan  5 07:52:19 2013	(r309949)
@@ -1,24 +1,21 @@
-# New ports collection makefile for:	argus3
-# Date created:		08 Jul 2006
-# Whom:			Stefan Esser <se@FreeBSD.org>
-#
+# Created by: Stefan Esser <se@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	argus
-PORTVERSION=	3.0.4
-PORTREVISION=	1
+PORTVERSION=	3.0.6.1
 CATEGORIES=	net-mgmt security
 MASTER_SITES=	http://qosient.com/argus/src/ \
 		ftp://qosient.com/pub/argus/src/
 
 MAINTAINER=	pauls@utdallas.edu
-COMMENT=	A generic IP network transaction auditing tool
+COMMENT=	Generic IP network transaction auditing tool
+
+LICENSE=	GPLv3
 
 CONFLICTS=	argus-2* argus-sasl-2* argus-clients-2*
 
-OPTIONS_DEFINE=		SASL
-OPTIONS_DEFAULT=	SASL
+OPTIONS_DEFINE=	SASL MANPAGES
+OPTIONS_DEFAULT=SASL MANPAGES
 
 USE_RC_SUBR=	argus
 
@@ -26,9 +23,10 @@ USE_RC_SUBR=	argus
 
 USE_BISON=	build
 GNU_CONFIGURE=	true
+USE_PERL5=	yes
 
 .if ${PORT_OPTIONS:MSASL}
-PKGNAMESUFFIX=	-sasl
+PKGNAMESUFFIX+=	-sasl
 LIB_DEPENDS+=	sasl2:${PORTSDIR}/security/cyrus-sasl2
 CONFIGURE_ARGS+=	--with-sasl=${LOCALBASE}
 .endif
@@ -36,14 +34,14 @@ CONFIGURE_ARGS+=	--with-sasl=${LOCALBASE
 MAN5=		argus.conf.5
 MAN8=		argus.8
 
-.include <bsd.port.pre.mk>
-
 post-patch:
 	@${REINPLACE_CMD} -e 's#/usr/lib/sasl2#${LOCALBASE}/lib/sasl2#' ${WRKSRC}/argus/ArgusOutput.c
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/bin/argus ${PREFIX}/sbin/argus
-	${INSTALL_SCRIPT} ${WRKSRC}/bin/argusbug ${PREFIX}/bin/argusbug
+.for i in argus-lsof argus-snmp	argus-vmstat argusbug
+	${INSTALL_SCRIPT} ${WRKSRC}/bin/$i ${PREFIX}/bin/$i
+.endfor
 	${MKDIR} ${EXAMPLESDIR}/Archive ${EXAMPLESDIR}/Config \
 		 ${EXAMPLESDIR}/Deployment ${EXAMPLESDIR}/Startup \
 		 ${EXAMPLESDIR}/System
@@ -55,13 +53,13 @@ do-install:
 	System/crontab System/magic
 	${INSTALL_DATA} ${WRKSRC}/support/$i ${EXAMPLESDIR}/$i
 .endfor
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}/
 .for i in README
 	${INSTALL_DATA} ${WRKSRC}/doc/$i ${DOCSDIR}/
 .endfor
 .endif
-.if !defined(NOMAN)
+.if ${PORT_OPTIONS:MMANPAGES}
 .for i in ${MAN5}
 	${INSTALL_DATA} ${WRKSRC}/man/man5/$i ${MANPREFIX}/man/man5
 .endfor
@@ -70,4 +68,4 @@ do-install:
 .endfor
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net-mgmt/argus3/distinfo
==============================================================================
--- head/net-mgmt/argus3/distinfo	Sat Jan  5 06:00:37 2013	(r309948)
+++ head/net-mgmt/argus3/distinfo	Sat Jan  5 07:52:19 2013	(r309949)
@@ -1,2 +1,2 @@
-SHA256 (argus-3.0.4.tar.gz) = ff8582da63ff9fca807505ba7359bc58628b20e827afb93a08f706dd5b86bb52
-SIZE (argus-3.0.4.tar.gz) = 476702
+SHA256 (argus-3.0.6.1.tar.gz) = ed991d8e12394a4f3d49adf007f82bafe615de4fd836f88c86d97fe7469cad12
+SIZE (argus-3.0.6.1.tar.gz) = 847095

Modified: head/net-mgmt/argus3/pkg-descr
==============================================================================
--- head/net-mgmt/argus3/pkg-descr	Sat Jan  5 06:00:37 2013	(r309948)
+++ head/net-mgmt/argus3/pkg-descr	Sat Jan  5 07:52:19 2013	(r309949)
@@ -1,6 +1,6 @@
-Argus is a generic IP network transaction auditing tool that has been used 
-by thousands of sites to perform a number of powerful network management 
-tasks that are currently not possible using commercial network management 
+Argus is a generic IP network transaction auditing tool that has been used
+by thousands of sites to perform a number of powerful network management
+tasks that are currently not possible using commercial network management
 tools.
 
 Argus runs as an application level daemon, promiscuously reading network

Modified: head/net-mgmt/argus3/pkg-plist
==============================================================================
--- head/net-mgmt/argus3/pkg-plist	Sat Jan  5 06:00:37 2013	(r309948)
+++ head/net-mgmt/argus3/pkg-plist	Sat Jan  5 07:52:19 2013	(r309949)
@@ -1,18 +1,21 @@
+bin/argus-lsof
+bin/argus-snmp
+bin/argus-vmstat
 bin/argusbug
 sbin/argus
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%EXAMPLESDIR%%/Archive/argusarchive
 %%EXAMPLESDIR%%/Config/argus.conf
 %%EXAMPLESDIR%%/Deployment/sample
-%%EXAMPLESDIR%%/Startup/argus
+%%EXAMPLESDIR%%/README
 %%EXAMPLESDIR%%/Startup/README
+%%EXAMPLESDIR%%/Startup/argus
 %%EXAMPLESDIR%%/System/crontab
 %%EXAMPLESDIR%%/System/magic
-%%EXAMPLESDIR%%/README
-@dirrmtry %%EXAMPLESDIR%%/Archive
-@dirrmtry %%EXAMPLESDIR%%/Config
-@dirrmtry %%EXAMPLESDIR%%/Deployment
-@dirrmtry %%EXAMPLESDIR%%/Startup
-@dirrmtry %%EXAMPLESDIR%%/System
-@dirrmtry %%EXAMPLESDIR%%
-%%PORTDOCS%%@dirrmtry %%DOCSDIR%%
+@dirrm %%EXAMPLESDIR%%/System
+@dirrm %%EXAMPLESDIR%%/Startup
+@dirrm %%EXAMPLESDIR%%/Deployment
+@dirrm %%EXAMPLESDIR%%/Config
+@dirrm %%EXAMPLESDIR%%/Archive
+@dirrm %%EXAMPLESDIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2013-01-05 07:54:11 UTC
State Changed
From-To: open->closed

Committed, thank you!